LINUX.ORG.RU

[Gentoo][Portage][git] Закольцованная зависимость


0

0

localhost wasd # emerge git
!!! CONFIG_PROTECT is empty
* IMPORTANT: 3 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.

Calculating dependencies... done!


[ebuild N ] dev-util/git-9999 USE="-bash-completion -blksha1 -cgi -curl -cvs -doc -emacs -gtk -iconv -perl (-ppcsha1) -subversion -threads -tk -webdav -xinetd"

* Error: circular dependencies:

('ebuild', '/', 'dev-util/git-9999', 'merge') depends on
('ebuild', '/', 'dev-util/git-9999', 'merge') (buildtime)

* Note that circular dependencies can often be avoided by temporarily
* disabling USE flags that trigger optional dependencies.

* IMPORTANT: 3 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.

localhost wasd #

как поправить или вообще замаскировать? в системе уже есть собранный вручную.


Вполне логично, что git-9999 требует установленного git. Если действительно нужна версия 9999, ставь сначала релиз, потом 9999

Black_Shadow ★★★★★ ()

git-9999 будет качать сырцы git-а используя git. И если у тебя в системе нет ну никакого git-a то безусловно что portage не сможет тебе поставить именно git-9999

За подобные вопросы надо в бан.

init_6 ★★★★★ ()
Ответ на: комментарий от anotheranonymous

> >За подобные вопросы надо в бан.

За подобные ответы надо в бан уж точно.


Вообще то nit_6 подробно пояснил в чем проблема, и как ее решить.

andreyu ★★★★★ ()
Ответ на: комментарий от init_6

Всем спасибо. Оказалось, из-под рута он не собирается с nodeps, не находя команды git (собрана вручную, без nodeps не собирается). Если с sudo - все прекрасно собирается.

Да ладно Вам, в бан, в бан... Себя вспомните - как порой было неясно? :)

wasd ()
Ответ на: комментарий от anotheranonymous

>>За подобные вопросы надо в бан.

За подобные ответы надо в бан уж точно.


пример закольцованного бана? :D

hizel ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.